#Database used: SAKILA

# Fetch all records related to customer 148.
SELECT ROW_NUMBER() OVER (ORDER BY F.TITLE) RECORD_NUMBER
,F.TITLE, F.DESCRIPTION,F.LENGTH,F.RATING,P.AMOUNT,P.PAYMENT_DATE,I.STORE_ID
FROM PAYMENT P,RENTAL R, INVENTORY I,FILM F
WHERE P.CUSTOMER_ID = R.CUSTOMER_ID
AND   P.RENTAL_ID = R.RENTAL_ID
AND  R.INVENTORY_ID = I.INVENTORY_ID
AND F.FILM_ID = I.FILM_ID
AND P.CUSTOMER_ID = 148;

#Fetch first 10 records
SELECT ROW_NUMBER() OVER (ORDER BY F.TITLE) RECORD_NUMBER
,F.TITLE, F.DESCRIPTION,F.LENGTH,F.RATING,P.AMOUNT,P.PAYMENT_DATE,I.STORE_ID
FROM PAYMENT P,RENTAL R, INVENTORY I,FILM F
WHERE P.CUSTOMER_ID = R.CUSTOMER_ID
AND   P.RENTAL_ID = R.RENTAL_ID
AND  R.INVENTORY_ID = I.INVENTORY_ID
AND F.FILM_ID = I.FILM_ID
AND P.CUSTOMER_ID = 148
LIMIT 10;

#OR

SELECT ROW_NUMBER() OVER (ORDER BY F.TITLE) RECORD_NUMBER
,F.TITLE, F.DESCRIPTION,F.LENGTH,F.RATING,P.AMOUNT,P.PAYMENT_DATE,I.STORE_ID
FROM PAYMENT P,RENTAL R, INVENTORY I,FILM F
WHERE P.CUSTOMER_ID = R.CUSTOMER_ID
AND   P.RENTAL_ID = R.RENTAL_ID
AND  R.INVENTORY_ID = I.INVENTORY_ID
AND F.FILM_ID = I.FILM_ID
AND P.CUSTOMER_ID = 148
LIMIT 0,10;


#Fetch next 10 records

SELECT ROW_NUMBER() OVER (ORDER BY F.TITLE) RECORD_NUMBER
,F.TITLE, F.DESCRIPTION,F.LENGTH,F.RATING,P.AMOUNT,P.PAYMENT_DATE,I.STORE_ID
FROM PAYMENT P,RENTAL R, INVENTORY I,FILM F
WHERE P.CUSTOMER_ID = R.CUSTOMER_ID
AND   P.RENTAL_ID = R.RENTAL_ID
AND  R.INVENTORY_ID = I.INVENTORY_ID
AND F.FILM_ID = I.FILM_ID
AND P.CUSTOMER_ID = 148
LIMIT 10,10;

